<div ng-controller="LineaNavieraController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a>Mantenimiento</a>
          </li>
          <li>
            <a>Linea Naviera</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-list"></i> LISTA DE LINEAS NAVIERAS</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-6">
                  <div class="form-group">
                    <input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Linea Naviera">
                  </div>
                </div>
                <div class="col-md-2">
                  
                </div>
                <div class="col-md-4">
                  <button ng-if="permisosHas('mantenimiento.registrar')" class="btn btn-success btn-rounded-10 btn-block btn-border" ng-click="clear();openModalSave($event)"  data-options="splash-2 splash-ef-14"><i class="fa fa-plus"></i> agregar linea naviera</button>
                </div>
                <div class="col-md-12">
                  <hr>
                </div>
              </div>

              <div class="row" ng-if="isLoading">
                <div class="col-md-12">
                  <loading></loading>
                </div>
              </div>

              <div class="row" ng-if="!isLoading">
                  <div class="col-md-12">
                    <h5 class="text-right"><strong>CANTIDAD : {{navieras.length}} NAVIERAS</strong></h5>
                  </div>
                  <div class="col-md-12" ng-if="navieras.length > 0">
                    <div class="table-responsive">
                      <table class="table table-hover">
                        <thead>
                          <tr>
                            <th>LINEA NAVIERA</th>
                            <th class="text-center" ng-if="permisosHas('mantenimiento.eliminar') || permisosHas('mantenimiento.actualizar')">OPCIONES</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr dir-paginate="naviera in navieras |filter: buscar | itemsPerPage: 10" pagination-id="naviera.id">
                            <td>{{naviera.nombre | uppercase}}</td>
                            <td ng-if="permisosHas('mantenimiento.eliminar') || permisosHas('mantenimiento.actualizar')" class="text-center">
                              <div class="input-group-btn">
                                <button ng-if="permisosHas('mantenimiento.actualizar')" class="btn btn-info btn-border btn-radius-left" ng-class="{'btn-radius-right' : !permisosHas('mantenimiento.eliminar')}" title="EDITAR LINEA NAVIERA {{naviera.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(naviera);openModalSave($event)"><span class="fa fa-edit"></span></button>
                                <button ng-if="permisosHas('mantenimiento.eliminar')" class="btn btn-danger btn-border btn-radius-right" ng-class="{'btn-radius-left' : !permisosHas('mantenimiento.actualizar')}" title="ELIMINAR LINEA NAVIERA {{naviera.nombre}}" data-options="splash-2 splash-ef-14" ng-click="load(naviera);openModalDelete($event)"><span class="fa fa-trash"></span></button>
                              </div>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                    <div class="text-center">
                      <dir-pagination-controls pagination-id="naviera.id"></dir-pagination-controls>
                    </div>
                  </div>
                  <div class="col-md-12" ng-if="navieras.length == 0">
                    <p class="text-center">
                      <i class="icon-info fa-4x"></i>
                      <h5 class="text-center">no hay lineas navieras registradas...</h5>
                    </p>
                  </div>
              </div>

            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
  <script  type="text/ng-template" id="naviera_modal.html">
    <div class="modal-header">
      <div class="text-center">
        <title-modal name="Linea Naviera"></title-modal>
      </div>            
    </div>
    <div class="modal-body">

      <form ng-submit="createEdit()">

        <div class="row">
          <div class="col-md-12">
            <div class="form-group">
              <label for="nombre">Nombre<span class="obligatorio">*</span></label>
              <input type="text" class="form-control uppercase" name="nombre" ng-model="obj.nombre" placeholder="Nombre" required> 
            </div>
          </div>
        </div>

        <div class="form-group">
          <span class="obligatorio">*</span> Campos Obligatorios
        </div>
        
        <div class="text-center">
          <button-save ng-if="!httpRequest"></button-save>
          <button-spin ng-if="httpRequest"></button-spin>
          <button-cancel></button-cancel>
        </div>
      </form>
    </div>
  </script>
  <script  type="text/ng-template" id="naviera_delete_modal.html">
    <div class="modal-body">

      <form ng-submit="delete()">
        <form-delete></form-delete>
      </form>
    </div>
  </script>
</div>